## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespaceDeclarationDefault

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, XMLNamespaceDeclarationItem

    public interface XMLNamespaceDeclarationDefault

extends XMLNamespaceDeclarationItem

A representation of the model object 'XML Namespace Declaration Default'.

The following features are supported:

- `No Default`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationDefault()`

Method Summary
`boolean` `isNoDefault()` Returns the value of the 'No Default' attribute.
`void` `setNoDefault(boolean value)` Sets the value of the '`No Default`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLNamespaceDeclarationItem
`getNamespacesDecl, getUri, setNamespacesDecl, setUri`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNoDefault

    boolean isNoDefault()

  Returns the value of the 'No Default' attribute. The default value is `"false"`.

  If the meaning of the 'No Default' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Default' attribute.
  See Also:
    `setNoDefault(boolean)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationDefault_NoDefault()`

### setNoDefault

    void setNoDefault(boolean value)

  Sets the value of the '`No Default`' attribute.

  Parameters:
    `value` - the new value of the 'No Default' attribute.
  See Also:
    `isNoDefault()`